Loading...
Searching...
No Matches
MyPaintTileRequest Struct Reference

Tile request used by MyPaintTiledSurface and MyPaintTiledSurface2. More...

`#include <mypaint-tiled-surface.h>`

## Public Member Functions

void | mypaint_tile_request_init (MyPaintTileRequest *data, int level, int tx, int ty, gboolean readonly)
| Initiatilze a tile request.

## Data Fields

int | tx
| The x-coordinate of the requested tile.
int | ty
| The y-coordinate of the requested tile.
gboolean | readonly
| Whether the tile data should be considered read-only.
guint16 * | buffer
| Pointer to the tile buffer, set by receiver of the request.
gpointer | context
| Additional data to be used by surface implementations (unused).
int | thread_id
| Identifier of the thread from which the request is made.
int | mipmap_level
| The mipmap level for which to fetch the tile (unused).

## Detailed Description

Tile request used by MyPaintTiledSurface and MyPaintTiledSurface2.

Request for tile data for a given tile coordinate (tx, ty), also acting as the response by defining fields to be populated by the receiver of the request.

## Member Function Documentation

## mypaint_tile_request_init()

void mypaint_tile_request_init | ( | MyPaintTileRequest * | data,
|  | int | level,
|  | int | tx,
|  | int | ty,
|  | gboolean | readonly )

Initiatilze a tile request.

## Field Documentation

## buffer

guint16* MyPaintTileRequest::buffer

Pointer to the tile buffer, set by receiver of the request.

## context

gpointer MyPaintTileRequest::context

Additional data to be used by surface implementations (unused).

## mipmap_level

int MyPaintTileRequest::mipmap_level

The mipmap level for which to fetch the tile (unused).

## readonly

gboolean MyPaintTileRequest::readonly

Whether the tile data should be considered read-only.

## thread_id

int MyPaintTileRequest::thread_id

Identifier of the thread from which the request is made.

## tx

int MyPaintTileRequest::tx

The x-coordinate of the requested tile.

## ty

int MyPaintTileRequest::ty

The y-coordinate of the requested tile.

The documentation for this struct was generated from the following file:

- mypaint-tiled-surface.h